summaryrefslogtreecommitdiff
path: root/source4/script/build_idl.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2004-11-10 03:08:59 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:05:41 -0500
commitd1f4ba08df3844a0d6af5e39ac66e724e68c32b3 (patch)
tree2cbf7c4f447efd08a65acc81a760ae5a63ab7998 /source4/script/build_idl.sh
parent7fb2523b4c9bca00c85307d458605f76deb09599 (diff)
downloadsamba-d1f4ba08df3844a0d6af5e39ac66e724e68c32b3.tar.gz
samba-d1f4ba08df3844a0d6af5e39ac66e724e68c32b3.tar.bz2
samba-d1f4ba08df3844a0d6af5e39ac66e724e68c32b3.zip
r3651: Add a new configure option --with-eparserdir
This allows us to call 'make eparser_idl', generate the files required by the ethereal pidl plugin, and put them in the right place. (See lorikeet/ethereal) Andrew Bartlett (This used to be commit bd9497b092335b2646a1955ea7c55ad33eb7d538)
Diffstat (limited to 'source4/script/build_idl.sh')
-rwxr-xr-xsource4/script/build_idl.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
index ec67c0aec0..6e4e049cb7 100755
--- a/source4/script/build_idl.sh
+++ b/source4/script/build_idl.sh
@@ -5,6 +5,7 @@ FULLBUILD=$1
[ -d librpc/gen_ndr ] || mkdir -p librpc/gen_ndr || exit 1
PIDL="$PERL ./build/pidl/pidl.pl --output librpc/gen_ndr/ndr_ --parse --header --parser --server"
+EPARSERPIDL="$PERL ./build/pidl/pidl.pl --output $EPARSERPREFIX/ndr_ --parse --header --eparser"
TABLES="$PERL ./build/pidl/tables.pl --output librpc/gen_ndr/tables"
if [ x$FULLBUILD = xFULL ]; then
@@ -16,6 +17,12 @@ if [ x$FULLBUILD = xFULL ]; then
exit 0
fi
+if [ x$FULLBUILD = xEPARSER ]; then
+ echo Rebuilding all idl files in librpc/idl
+ $EPARSERPIDL librpc/idl/*.idl || exit 1
+ exit 0
+fi
+
list=""
for f in librpc/idl/*.idl; do